Bug 864048 - vdsm bootstrap doesn't make f17 host reboot after host installation
vdsm bootstrap doesn't make f17 host reboot after host installation
Status: CLOSED WORKSFORME
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.1 GA
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Haim
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 08:43 EDT by exploit
Modified: 2014-01-12 19:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 07:31:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm bootstrap logs (5.77 KB, application/force-download)
2012-10-10 02:52 EDT, exploit
no flags Details

  None (edit)
Description exploit 2012-10-08 08:43:45 EDT
Description of problem:
F17 host doesn't reboot after being installed while UI tells "rebooting"

Version-Release number of selected component (if applicable):
latest vdsm and webadmin from the git tree

How reproducible:


Steps to Reproduce:
1.installing webadmin
2.adding an host through the UI
3.waiting for reboot after bootstrap ending
  
Actual results:
f17 doesn't reboot

Expected results:
f17 reboots and webadmin shows the host being up

Additional info:
Comment 1 Itamar Heim 2012-10-08 09:02:47 EDT
rpm versions of ovirt and vdsm-bootstrap?
Comment 2 Douglas Schilling Landgraf 2012-10-09 16:44:11 EDT
Hi, 

> Version-Release number of selected component (if applicable):
> latest vdsm and webadmin from the git tree

Have you built vdsm-bootstrap on Fedora 17? The build process should have found reboot path correctly. 

Can you please share the logs from bootstrap as well? From F17 node /tmp/*.log

I remember to see a similar report when oVirt Engine was using vds_bootstrap built with Fedora 16, so when bootstrap tried to execute reboot it didn't find since the reboot path between Fedora 16 and Fedora 17 changed from /usr/bin/reboot to /usr/sbin/reboot.


Thanks
Douglas
Comment 3 exploit 2012-10-10 02:52:10 EDT
Created attachment 624610 [details]
vdsm bootstrap logs
Comment 4 exploit 2012-10-10 02:53:11 EDT
Hi,

I'm using the nightly repository, so vdsm is built by jenkies.
I've checked the reboot path and it is the same on fedora 16 and 17.
I give you the full logs in a zip file.
Comment 5 Douglas Schilling Landgraf 2012-10-10 17:12:05 EDT
Hi there,

I cannot reproduce with nightly repo, here the rpm data:

Engine side:
=========
# rpm -qa | grep -i vdsm
vdsm-bootstrap-4.10.1-0.13.gitfbafcdc.fc17.noarch

# rpm -qa | grep -i engine
ovirt-engine-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-cli-3.2.0.5-1.20120924.git46347f0.fc17.noarch
ovirt-engine-dbscripts-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-userportal-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-notification-service-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-genericapi-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-backend-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-webadmin-portal-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-restapi-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-config-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-setup-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-tools-common-3.1.0-3.1345126685.git7649eed.fc17.noarch
ovirt-engine-sdk-3.2.0.2-1.20120927.git663b765.fc17.noarch


Fedora Node
=============
# rpm -qa | grep -i vdsm
vdsm-python-4.10.1-0.13.gitfbafcdc.fc17.x86_64
vdsm-4.10.1-0.13.gitfbafcdc.fc17.x86_64
vdsm-cli-4.10.1-0.13.gitfbafcdc.fc17.noarch
vdsm-xmlrpc-4.10.1-0.13.gitfbafcdc.fc17.noarch

From your logs looks like the reboot call happened
==============================================
Mon, 08 Oct 2012 18:08:50 DEBUG    deployUtil 144 
Mon, 08 Oct 2012 18:08:50 DEBUG    vds_bootstrap_complete_85d5cf98-00ab-42f2-ae57-c24c509cca14 49 Reboot: started.
Mon, 08 Oct 2012 18:08:50 DEBUG    deployUtil 224 scheduling reboot
Mon, 08 Oct 2012 18:08:50 DEBUG    vds_bootstrap_complete_85d5cf98-00ab-42f2-ae57-c24c509cca14 61 <BSTRAP component='Reboot' status='OK' message='Rebooting machine' />
Mon, 08 Oct 2012 18:08:50 DEBUG    vds_bootstrap_complete_85d5cf98-00ab-42f2-ae57-c24c509cca14 65 Reboot: ended.

Can you please provide the vdsm version from Fedora Node? Also vdsm-bootstrap and engine version from Engine as Itamar?

Finally, I have created a vdsm packages from upstream tree and it worked as well with the the above engine and vdsm-bootstrap version (nightly build). Let's keep digging.

Thanks
Douglas
Comment 6 Douglas Schilling Landgraf 2012-10-10 21:38:12 EDT
Additional note, from your logs on Fedora host I can see the packages:

vdsm-4.10.1-0.3.git3ab2247.fc17.x86_64
vdsm-cli-4.10.1-0.3.git3ab2247.fc17.noarch

Since you are using nightly repo, I would recommend you try yum update too.

Thanks
Douglas
Comment 7 exploit 2012-10-15 03:52:37 EDT
Hi all,

I've made some more tests and this is what I 've found:

When installing a graphical F17, host does reboot after bootstrap processus, while with a minimum F17 installation nothing happens.

Which components not installed in a minimal F17 could miss to caomplete the reboot?
Comment 8 Douglas Schilling Landgraf 2012-11-29 07:31:45 EST
Hi,

 I have tried again with new bootstrap code and a fresh Fedora17 as minimum and it just worked. 

From engine machine which contain nightly build:
ovirt-engine-dbscripts-3.1.0-3.20121128.gitcea620e.fc17.noarch
gtk2-engines-2.20.2-4.fc17.x86_64
ovirt-engine-backend-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-webadmin-portal-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-userportal-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-cli-3.2.0.7-1.20121118.gitf43fd5c.fc17.noarch
ovirt-engine-config-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-tools-common-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-sdk-3.2.0.5-1.20121128.git31232ad.fc17.noarch
ovirt-engine-genericapi-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-setup-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-restapi-3.1.0-3.20121128.gitcea620e.fc17.noarch
ovirt-engine-notification-service-3.1.0-3.20121128.gitcea620e.fc17.noarch
vdsm-bootstrap-4.10.2-0.43.gitc0bbef3.fc17.noarch
otopi-0.0.0-0.0.master.20121126.git670da90.fc17.noarch
otopi-java-0.0.0-0.0.master.20121126.git670da90.fc17.noarch

I am closing this bugzilla for now but in case you still have problems with reboot, please let us know.

Thanks
Douglas

Note You need to log in before you can comment on or make changes to this bug.